#include <stdio.h>

// Declaración de funciones
void sumar(void);
void restar(void);
void multiplicar(void);
void dividir(void);

int main(void) {
    int opcion;
    do {
        printf("\n--- Menú de Calculadora ---\n");
        printf("1. Sumar\n");
        printf("2. Restar\n");
        printf("3. Multiplicar\n");
        printf("4. Dividir\n");
        printf("5. Salir\n");
        printf("Seleccione una opción: ");
        scanf("%d", &opcion);    
        
        switch(opcion){
            case 1:
                sumar();
                break;
            case 2:
                restar();
                break;
            case 3:
                multiplicar();
                break;
            case 4:
                dividir();
                break;
            case 5:
                printf("Saliendo del programa...\n");
                break;
            default:
                printf("Opción no válida. Por favor, seleccione una opción del 1 al 5.\n");
                break;
        }
    
    } while (opcion != 5);
    return 0;
}

//Definicion de funciones
void sumar(void) {
    float a, b;
    printf("Ingrese dos números para sumar: ");
    scanf("%f %f", &a, &b);
    printf("El resultado de la suma es: %.2f\n", a + b);
}

void restar(void) {
    float a, b;
    printf("Ingrese dos números para restar: ");
    scanf("%f %f", &a, &b);
    printf("\nEl resultado de la resta es: %.2f\n", a - b);
}

void multiplicar(void) {
    float a, b;
    printf("Ingrese dos números para multiplicar: ");
    scanf("%f %f", &a, &b);
    printf("\nEl resultado de la multiplicación es: %.2f\n", a * b);
}

void dividir(void) {
    float a, b;
    printf("Ingrese dos números para dividir: ");
    scanf("%f %f", &a, &b);
    if (b != 0) {
        printf("El resultado de la división es: %.2f\n", a / b);
    } else {
        printf("Error: No se puede dividir entre cero.\n");
    }
}
